commit:     fecfb228c6af899d44fc70bdbe5a949fd158f9ea
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Thu Oct 26 19:45:05 2023 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Oct 29 18:20:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fecfb228

net-libs/libsoup: Version bump to 3.4.4

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/33529
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 net-libs/libsoup/Manifest             |   1 +
 net-libs/libsoup/libsoup-3.4.4.ebuild | 105 ++++++++++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/net-libs/libsoup/Manifest b/net-libs/libsoup/Manifest
index e291f09e6dae..8b60f4ee761f 100644
--- a/net-libs/libsoup/Manifest
+++ b/net-libs/libsoup/Manifest
@@ -1,3 +1,4 @@
 DIST libsoup-2.74.3.tar.xz 1504804 BLAKE2B 
91f441197414314bb78cf15e7c13b54714e669145784812fb7a68cc41c8965ea29c53dc686d690e00f28f711be9f767038e5cc43b11aa0136f190dd2d41ec2a0
 SHA512 
72f8a055df984cb35105fe67f4ca67d3fb110d40a9cacb660fccd89f93b06bc32e25d94375dcc76608a245f7c5e081d968d7aaf5952eb16013d81c741247cb4c
 DIST libsoup-3.4.2.tar.xz 1535992 BLAKE2B 
09423b5f7f0385105d00523f38597ebd91d8a19ed1c4cd6fbc27b12d81fdbd13c54f8fabbe16411ea45de4b48d6dd85c226ea812618b337a34c3dfd220c0be9a
 SHA512 
711007599f639625fe2efdb7adb81de2dea0035180737ce0ec8234afb034646a2b6bd9ae384a69d6591aa142e91d245d502d13e1d97cd7b51c8c87c2d925f6b3
 DIST libsoup-3.4.3.tar.xz 1529884 BLAKE2B 
a0429c405d5f49fa23248409e9b33a153a4f300ec6d5ca907ae5fe3f99a0d69985b41c7dbbb5d9762968c5696e622f449f177b34e89cf0427cf6fdfcce440e73
 SHA512 
638b1eaefd60624f39edd0f16cea638c2edf6402318805c685f575577a228ba212c6f7ec8b64bac9f1928607e0026b69901e08b8569d179bf228e708e060a571
+DIST libsoup-3.4.4.tar.xz 1536268 BLAKE2B 
6818ea74fab3531bb0a8e60df9885c5c6729780446f37cff73eb9fdf9d75fb00357dbdc3ae8d8c6e0ff105cb8df42eacf2e1e8865db4cb07871bacf3c62139b7
 SHA512 
dc16b5ea7d4c25b14f674abd2ccc563d1389ed677fab49cbd556935319bdc6c245acd4a912dc5225ad2e268e5bfbf8956b8cb2f9a585cc4770c2be33c0adac28

diff --git a/net-libs/libsoup/libsoup-3.4.4.ebuild 
b/net-libs/libsoup/libsoup-3.4.4.ebuild
new file mode 100644
index 000000000000..0aa1dbeeb092
--- /dev/null
+++ b/net-libs/libsoup/libsoup-3.4.4.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org meson-multilib vala xdg
+
+DESCRIPTION="HTTP client/server library for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Projects/libsoup";
+
+LICENSE="LGPL-2.1+"
+SLOT="3.0"
+
+IUSE="+brotli gssapi gtk-doc +introspection samba ssl sysprof test +vala"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="vala? ( introspection )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+DEPEND="
+       >=dev-libs/glib-2.69.1:2[${MULTILIB_USEDEP}]
+       net-libs/nghttp2:=[${MULTILIB_USEDEP}]
+       >=dev-db/sqlite-3.8.2:3[${MULTILIB_USEDEP}]
+       brotli? ( >=app-arch/brotli-1.0.6-r1:=[${MULTILIB_USEDEP}] )
+       >=net-libs/libpsl-0.20[${MULTILIB_USEDEP}]
+       sysprof? ( >=dev-util/sysprof-capture-3.40.1:4[${MULTILIB_USEDEP}] )
+       sys-libs/zlib
+       gssapi? ( virtual/krb5[${MULTILIB_USEDEP}] )
+       introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+       samba? ( net-fs/samba )
+"
+RDEPEND="${DEPEND}
+       >=net-libs/glib-networking-2.70_alpha[ssl?,${MULTILIB_USEDEP}]
+"
+BDEPEND="
+       dev-libs/glib
+       dev-util/glib-utils
+       gtk-doc? (
+               >=dev-util/gi-docgen-2021.1
+               app-text/docbook-xml-dtd:4.1.2
+       )
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )
+       test? ( >=net-libs/gnutls-3.6.0[pkcs11] )
+"
+#      test? ( 
www-servers/apache[ssl,apache2_modules_auth_digest,apache2_modules_alias,apache2_modules_auth_basic,
+#              
apache2_modules_authn_file,apache2_modules_authz_host,apache2_modules_authz_user,apache2_modules_dir,
+#              
apache2_modules_mime,apache2_modules_proxy,apache2_modules_proxy_http,apache2_modules_proxy_connect]
+#              dev-lang/php[apache2,xmlrpc]
+#              net-misc/curl
+#              net-libs/glib-networking[ssl])"
+
+PATCHES=(
+       # Disable apache tests until they are usable on Gentoo, bug #326957
+       "${FILESDIR}"/disable-apache-tests.patch
+)
+
+src_prepare() {
+       default
+       use vala && vala_setup
+       xdg_environment_reset
+       # https://gitlab.gnome.org/GNOME/libsoup/issues/159 - could work with 
libnss-myhostname
+       sed -e '/hsts/d' -i tests/meson.build || die
+}
+
+src_configure() {
+       # FIXME: we need addpredict to workaround bug #324779 until
+       # root cause (bug #249496) is solved
+       # But unnecessary while apache tests are disabled
+       #addpredict /usr/share/snmp/mibs/.index
+
+       multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+       local emesonargs=(
+               # Avoid auto-magic, built-in feature of meson
+               -Dauto_features=enabled
+
+               $(meson_feature gssapi)
+               -Dkrb5_config="${CHOST}-krb5-config"
+               $(meson_feature samba ntlm)
+               $(meson_feature brotli)
+               -Dntlm_auth="${EPREFIX}/usr/bin/ntlm_auth"
+               -Dtls_check=false # disables check, we still rdep on 
glib-networking
+               $(meson_native_use_feature introspection)
+               $(meson_native_use_feature vala vapi)
+               $(meson_native_use_feature gtk-doc docs)
+               -Ddoc_tests=false
+               $(meson_use test tests)
+               -Dautobahn=disabled
+               -Dinstalled_tests=false
+               $(meson_feature sysprof)
+               $(meson_feature test pkcs11_tests)
+       )
+       meson_src_configure
+}
+
+multilib_src_install_all() {
+       if use gtk-doc; then
+               mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
+               mv "${ED}"/usr/share/doc/libsoup-3.0 
"${ED}"/usr/share/gtk-doc/html/ || die
+       fi
+}

Reply via email to